import { useState, useEffect } from 'react';
import { csv } from 'd3';
import { feature, mesh } from 'topojson';

const csvUrl =
  'https://gist.githubusercontent.com/kazokuma/24b6477275a81de19898f9c09541dba2/raw/18f04f9ab1b11051119efcdf79ccc2a5fe4d1ae7/20211026MissingMigrants-Global.csv';

const row = d => {
	d.coords = d['Coordinates'].split(',').map(d=>+d).reverse();
  d['Total Number of Dead and Missing'] = +d['Total Number of Dead and Missing']
  return d;
};
export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);
  
	return data;
};
